/* Sistemas Integrados TECNISA
   Servios

Nome: 7400_SRVTRGO.sql

Descrio:
Triggers para atualizao de informaes do GEP a partir de informaes do SRV.

Criao:
29/10/2003 Ederson Melquades da Cunha
*/

CREATE OR REPLACE TRIGGER ATUALIZA_VERSAOPROD
AFTER DELETE OR INSERT OR UPDATE
ON VERSGSIS FOR EACH ROW

DECLARE
   V_CDPRODGRUP GRUPSIST.CDPRODGRUP%TYPE;

BEGIN

   IF INSERTING OR UPDATING THEN
      SELECT
         CDPRODGRUP
      INTO
         V_CDPRODGRUP
      FROM
         GRUPSIST
      WHERE
         CDGRUPSIST = :NEW.CDGRUPSIST;
   ELSE
      SELECT
         CDPRODGRUP
      INTO
         V_CDPRODGRUP
      FROM
         GRUPSIST
      WHERE
         CDGRUPSIST = :OLD.CDGRUPSIST;
   END IF;

   IF (V_CDPRODGRUP IN ('0000000078', '0000000102', '0000000103', '0000000104', '0000000105')) THEN
      IF NOT DELETING THEN
         INSERT INTO VERSAOPROD
            (CDPRODGRUP,
             CDVERPRODUTO,
             TXVERPRODUTO)
         SELECT
            V_CDPRODGRUP,
            :NEW.CDVERSGSIS,
            :NEW.DSVERSGSIS
         FROM
            DUAL
         WHERE
            NOT EXISTS (SELECT
                           *
                        FROM
                           VERSAOPROD
                        WHERE
                           CDPRODGRUP   = V_CDPRODGRUP AND
                           CDVERPRODUTO = :NEW.CDVERSGSIS);

         UPDATE VERSAOPROD SET
            TXVERPRODUTO = :NEW.DSVERSGSIS
         WHERE
            CDPRODGRUP   = V_CDPRODGRUP AND
            CDVERPRODUTO = :NEW.CDVERSGSIS;
      ELSE
         DELETE FROM VERSAOPROD
         WHERE
            CDPRODGRUP   = V_CDPRODGRUP AND
            CDVERPRODUTO = :OLD.CDVERSGSIS;
      END IF;
   END IF;
END;
/

