/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CRITAVAFINAL                                             */
/* Tabela : CRITAVAFINAL                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CRITAVAFINAL' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_CRITAVAFINAL
GO

CREATE TRIGGER DTULTATU_CRITAVAFINAL
ON CRITAVAFINAL
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CRITAVAFINAL', null, 'CDTIPAUDIT='  + CDTIPAUDIT  + ';'+
                                           'CDCRITAVAFIN='+ CDCRITAVAFIN+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CRITAVAFINAL
      SET DTULTATUCTAF = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(CRITAVAFINAL.CDCRITAVAFIN,0) = ISNULL(INSERTED.CDCRITAVAFIN,0)) AND
            (ISNULL(CRITAVAFINAL.NMCRITAVAFIN,0) = ISNULL(INSERTED.NMCRITAVAFIN,0));
   END;
END;
GO

